summaryrefslogtreecommitdiffstats
path: root/source/a/etc
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/etc')
-rw-r--r--source/a/etc/_etc/etc/nsswitch.conf.new42
-rwxr-xr-xsource/a/etc/_etc/etc/profile.d/home-profile.d.csh.new9
-rwxr-xr-xsource/a/etc/_etc/etc/profile.d/home-profile.d.sh.new9
-rw-r--r--source/a/etc/doinst.sh26
-rwxr-xr-xsource/a/etc/etc.SlackBuild9
-rw-r--r--source/a/etc/group.new10
-rw-r--r--source/a/etc/nsswitch.conf2
-rw-r--r--source/a/etc/passwd.new9
-rw-r--r--source/a/etc/shadow.new9
9 files changed, 72 insertions, 53 deletions
diff --git a/source/a/etc/_etc/etc/nsswitch.conf.new b/source/a/etc/_etc/etc/nsswitch.conf.new
deleted file mode 100644
index 6954d6b16..000000000
--- a/source/a/etc/_etc/etc/nsswitch.conf.new
+++ /dev/null
@@ -1,42 +0,0 @@
-#
-# /etc/nsswitch.conf
-#
-# An example Name Service Switch config file. This file should be
-# sorted with the most-used services at the beginning.
-#
-# The entry '[NOTFOUND=return]' means that the search for an
-# entry should stop if the search in the previous entry turned
-# up nothing. Note that if the search failed due to some other reason
-# (like no NIS server responding) then the search continues with the
-# next entry.
-#
-# Legal entries are:
-#
-# nisplus or nis+ Use NIS+ (NIS version 3)
-# nis or yp Use NIS (NIS version 2), also called YP
-# dns Use DNS (Domain Name Service)
-# files Use the local files
-# [NOTFOUND=return] Stop searching if not found so far
-#
-
-# passwd: db files nis
-# shadow: db files nis
-# group: db files nis
-
-passwd: compat
-group: compat
-
-hosts: files dns
-networks: files dns
-
-services: db files
-protocols: db files
-rpc: db files
-ethers: db files
-netmasks: files
-netgroup: files
-bootparams: files
-
-automount: files
-aliases: files
-
diff --git a/source/a/etc/_etc/etc/profile.d/home-profile.d.csh.new b/source/a/etc/_etc/etc/profile.d/home-profile.d.csh.new
new file mode 100755
index 000000000..13da1e238
--- /dev/null
+++ b/source/a/etc/_etc/etc/profile.d/home-profile.d.csh.new
@@ -0,0 +1,9 @@
+#!/bin/csh
+
+if ( -d "$HOME/.profile.d") then
+ foreach i ("$HOME"/.profile.d/*.csh)
+ source "$i"
+ end
+endif
+
+unsetenv i
diff --git a/source/a/etc/_etc/etc/profile.d/home-profile.d.sh.new b/source/a/etc/_etc/etc/profile.d/home-profile.d.sh.new
new file mode 100755
index 000000000..23078184f
--- /dev/null
+++ b/source/a/etc/_etc/etc/profile.d/home-profile.d.sh.new
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+if [ -d "$HOME/.profile.d" ]; then
+ for i in "$HOME"/.profile.d/*.sh; do
+ . "$i"
+ done
+fi
+
+unset i
diff --git a/source/a/etc/doinst.sh b/source/a/etc/doinst.sh
index cd4ed6a1f..3734bc854 100644
--- a/source/a/etc/doinst.sh
+++ b/source/a/etc/doinst.sh
@@ -54,6 +54,8 @@ config etc/shells.new
config etc/services.new
config etc/issue.net.new
config etc/nsswitch.conf.new
+config etc/profile.d/home-profile.d.csh.new
+config etc/profile.d/home-profile.d.sh.new
config etc/profile.d/lang.csh.new
config etc/profile.d/lang.sh.new
config etc/profile.d/z-dot-in-non-root-path.csh.new
@@ -78,10 +80,8 @@ rm -f etc/mtab.new
rm -f etc/motd.new
rm -f etc/ld.so.conf.new
rm -f etc/hosts.new
-#rm -f etc/shadow.new
rm -f etc/networks.new
rm -f etc/HOSTNAME.new
-#rm -f etc/gshadow.new
rm -f etc/shells.new
rm -f etc/printcap.new
#rm -f etc/issue.new
@@ -92,15 +92,32 @@ rm -f var/run/utmp.new
rm -f var/log/lastlog.new
rm -f var/log/wtmp.new
+# These are just a hazard to keep around, honestly.
+# There's no unique information in them anyway, as any new entries are merged
+# into the existing files automatically.
+rm -f etc/group.new
+rm -f etc/gshadow.new
+rm -f etc/passwd.new
+rm -f etc/shadow.new
+
+# We will add any missing entries to gshadow, but make no attempt to repair existing ones:
+cat etc/group | while read line ; do
+ GRP="$(echo $line | cut -f 1 -d :)"
+ GMEMBERS="$(echo $line | rev | cut -f 1 -d : | rev)"
+ if ! grep -q "^${GRP}:" etc/gshadow ; then
+ echo "${GRP}:x::${GMEMBERS}" >> etc/gshadow
+ fi
+done
+
# Make sure $HOME is correct for user sddm:
chroot . /usr/sbin/usermod -d /var/lib/sddm sddm > /dev/null 2> /dev/null
# Make sure that sddm is a member of group video:
chroot . /usr/sbin/usermod --groups video sddm > /dev/null 2> /dev/null
# Also ensure ownerships/perms:
-chown root.utmp var/run/utmp var/log/wtmp
+chown root:utmp var/run/utmp var/log/wtmp
chmod 664 var/run/utmp var/log/wtmp
-chown root.shadow etc/shadow etc/gshadow
+chown root:shadow etc/shadow etc/gshadow
chmod 640 etc/shadow etc/gshadow
# Match permissions on any leftover config z-dot-in-non-root-path scripts
@@ -112,4 +129,3 @@ fi
if [ -r etc/profile.d/z-dot-in-non-root-path.sh.new ]; then
touch -r etc/profile.d/z-dot-in-non-root-path.sh etc/profile.d/z-dot-in-non-root-path.sh.new
fi
-
diff --git a/source/a/etc/etc.SlackBuild b/source/a/etc/etc.SlackBuild
index 44a332539..f958d7628 100755
--- a/source/a/etc/etc.SlackBuild
+++ b/source/a/etc/etc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=etc
-VERSION=15.0
-BUILD=${BUILD:-16}
+VERSION=15.1
+BUILD=${BUILD:-11}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -58,7 +58,7 @@ sed -i -e "s#/i586-slackware-linux#/${ARCH}-slackware-linux#" etc/ld.so.conf.new
if [ "$ARCH" = "x86_64" ]; then
sed -i -e "s#/lib#/lib64#" etc/ld.so.conf.new
fi
-zcat $CWD/nsswitch.conf.gz > $PKG/etc/nsswitch.conf.new
+cat $CWD/nsswitch.conf > $PKG/etc/nsswitch.conf.new
# Check to make sure that shadow has the same number of entries
# as passwd:
@@ -80,4 +80,3 @@ zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
# Build the package:
cd $PKG
/sbin/makepkg -l y -c n $TMP/etc-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/a/etc/group.new b/source/a/etc/group.new
index 414f4855a..2bcaf4ea9 100644
--- a/source/a/etc/group.new
+++ b/source/a/etc/group.new
@@ -26,6 +26,7 @@ tape:x:26:
mysql:x:27:
rpc:x:32:
sshd:x:33:sshd
+kvm:x:36:
cgred:x:41:
gdm:x:42:
shadow:x:43:
@@ -33,6 +34,8 @@ ntp:x:44:
icecc:x:49:
ftp:x:50:
oprofile:x:51:
+named:x:53:
+nslcd:x:54:
sddm:x:64:
pulse:x:65:
dhcpcd:x:68:
@@ -50,8 +53,15 @@ postdrop:x:92:
scanner:x:93:
dovecot:x:94:
dovenull:x:95:
+proftpd:x:97:
nobody:x:98:nobody
nogroup:x:99:
users:x:100:
console:x:101:
+avahi:x:214:
+nut:x:218:
+colord:x:303:
+nm-openvpn:x:320:
ldap:x:330:
+openvpn:x:443:
+overflowgid:x:65534:
diff --git a/source/a/etc/nsswitch.conf b/source/a/etc/nsswitch.conf
index 3d993afcb..4c82ae41c 100644
--- a/source/a/etc/nsswitch.conf
+++ b/source/a/etc/nsswitch.conf
@@ -26,7 +26,7 @@
passwd: compat
group: compat
-hosts: files dns
+hosts: files mdns4_minimal [NOTFOUND=return] dns mdns4
networks: files
services: files
diff --git a/source/a/etc/passwd.new b/source/a/etc/passwd.new
index e2e187ff8..f7e8e0e26 100644
--- a/source/a/etc/passwd.new
+++ b/source/a/etc/passwd.new
@@ -21,6 +21,8 @@ ntp:x:44:44:User for NTP:/:/bin/false
icecc:x:49:49:User for Icecream distributed compiler:/var/cache/icecream:/bin/false
oprofile:x:51:51:oprofile:/:/bin/false
usbmux:x:52:83:User for usbmux daemon:/var/empty:/bin/false
+named:x:53:53:User for BIND:/var/named:/bin/false
+nslcd:x:54:54:User for nslcd (nss-pam-ldapd):/dev/null:/bin/false
sddm:x:64:64:User for SDDM:/var/lib/sddm:/bin/false
pulse:x:65:65:User for PulseAudio:/var/run/pulse:/bin/false
dhcpcd:x:68:68:User for dhcpcd:/var/lib/dhcpcd:/bin/false
@@ -32,5 +34,12 @@ pop:x:90:90:POP:/:/bin/false
postfix:x:91:91:User for Postfix MTA:/dev/null:/bin/false
dovecot:x:94:94:User for Dovecot processes:/dev/null:/bin/false
dovenull:x:95:95:User for Dovecot login processing:/dev/null:/bin/false
+proftpd:x:97:97:User for ProFTPD:/:/bin/false
nobody:x:99:99:nobody:/:/bin/false
+avahi:x:214:214:User for avahi:/dev/null:/bin/false
+nut:x:218:218:User for NUT:/dev/null:/bin/false
+colord:x:303:303:User for colord:/var/lib/colord:/bin/false
+nm-openvpn:x:320:320:User for NetworkManager-openvpn:/var/lib/openvpn/chroot:/bin/false
ldap:x:330:330:OpenLDAP server:/var/lib/openldap:/bin/false
+openvpn:x:443:443:User for OpenVPN:/:/bin/false
+overflowuid:x:65534:65534:System UID overflow:/:/bin/false
diff --git a/source/a/etc/shadow.new b/source/a/etc/shadow.new
index 1f3d8a5ce..3cbc04070 100644
--- a/source/a/etc/shadow.new
+++ b/source/a/etc/shadow.new
@@ -21,6 +21,8 @@ ntp:*:9797:0:::::
icecc:*:9797:0:::::
oprofile:*:9797:0:::::
usbmux:*:9797:0:::::
+named:*:9797:0:::::
+nslcd:*:9797:0:::::
sddm:*:9797:0:::::
pulse:*:9797:0:::::
dhcpcd:*:9797:0:::::
@@ -32,5 +34,12 @@ pop:*:9797:0:::::
postfix:*:9797:0:::::
dovecot:*:9797:0:::::
dovenull:*:9797:0:::::
+proftpd:*:9797:0:::::
nobody:*:9797:0:::::
+avahi:*:9797:0:::::
+nut:*:9797:0:::::
+colord:*:9797:0:::::
+nm-openvpn:*:9797:0:::::
ldap:*:9797:0:::::
+openvpn:*:9797:0:::::
+overflowuid:*:9797:0:::::